List payment event notifications for the given accountId. This endpoint is exclusively intended for accounts operating under the custodial funding mode. The notification account id will be the same as the partner account that owns the Card Program for the payments. See Custodial Funding Protocol for details about payment event notifications. Results are paginated and ordered by descending createdAt date.
List Payment Notifications
/api/accounts/{partnerAccountId}/payment-notifications Request
Path Parameters
partnerAccountIdstringrequiredPartner account id.
Query Parameters
limitnumberAmount of records to return (max 100).
cursorstringCursor to retrieve the next page.
createdFromstringFilter for transactions from this date (inclusive). Value should be a ISO 8601 string.
createdTostringFilter for transactions up to this date (inclusive). Value should be a ISO 8601 string.
Response
Successful operation.
Body application/json
itemsobject[]Items
idstringrequiredPayment notification primary identifier.
accountIdstringrequiredCardholder account this payment notification belongs to.
fundingSourceIdstringrequiredFunding Source this payment notification belongs to.
createdAtstringrequiredTimestamp of payment notification creation.
paymentIdstringrequiredPayment id this notification belongs to.
attemptsnumberrequiredNumber of times this payment notification was attempted to be delivered.
deliveredbooleanrequiredPayment notification has been delivered successfully to the partner webhook.
lastDeliveryobjectLast delivery attempt details. This can be empty if the payment notification is still scheduled for delivery. Response fields can be empty if there is no response from the partner webhook yet.
requestBodyobjectPayment notification payload sent to the partner webhook.
requestUrlstringThe url of the partner webhook this payment notification was attempted to be delivered to.
requestTimestampstringTimestamp of payment notification last delivery request.
responseBodyobjectThe partner webhook response to this payment notification last delivery.
responseStatusnumberHTTP Response status code of this payment notification last delivery
responseTimestampstringTimestamp of Payment Notification last delivery response.
durationnumberNumber of milliseconds between the request and response
pageInfoobjectPage info for paginated results, undefined if no page info
nextCursorstringCursor for next page, undefined if no more pages
Request fields are invalid.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequirederrorsobject[]Items
messagestringpathstringThe location of the invalid path param, query param or payload attribute.
No Authorization to access resource.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring